%{?scl:%scl_package rubygem-%{gemname}}
%{!?scl:%global pkg_name %{name}}

%global gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global gemname hpricot
%global geminstdir %{gemdir}/gems/%{gemname}-%{version}
%global ruby_sitearch %(ruby -rrbconfig -e "puts Config::CONFIG['sitearchdir']")

Summary: a swift, liberal HTML parser with a fantastic library
Name: %{?scl_prefix}rubygem-%{gemname}
Version: 0.8.6
Release: 1%{?dist}
Group: Development/Languages
License: ASL 2.0
URL: http://github.com/hpricot/hpricot
Source0: http://rubygems.org/gems/%{gemname}-%{version}.gem
BuildRoot: %{_tmppath}/%{pkg_name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires: %{?scl_prefix}rubygems
Requires: %{?scl_prefix}ruby(abi) = 1.9.1

%{?scl:Requires: %{scl}-runtime}
BuildRequires: %{?scl_prefix}ruby(abi) = 1.9.1
BuildRequires: %{?scl_prefix}rubygems
BuildRequires: %{?scl_prefix}ruby-devel

Provides: %{?scl_prefix}rubygem(%{gemname}) = %{version}

%description
Hpricot is a very flexible HTML parser, based on Tanaka Akira's
HTree and John Resig's JQuery, but with the scanner recoded in C
(using Ragel for scanning.)

%prep
%setup -n %{pkg_name}-%{version} -q -T -c
mkdir -p ./%{gemdir}
export CONFIGURE_ARGS="--with-cflags='%{optflags}'"
%{?scl:scl enable %{scl} "}
gem install --local --install-dir ./%{gemdir} -V --force %{SOURCE0}
%{?scl:"}
find . -type f | xargs chmod ugo+r

%build
pushd .%{geminstdir}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gemdir}
cp -a .%{gemdir}/* %{buildroot}%{gemdir}

# move arch specific files to %ruby_sitearch
mkdir -p %{buildroot}%{ruby_sitearch}
mv %{buildroot}%{geminstdir}/lib/*.so %{buildroot}%{ruby_sitearch}/

# Shebang
for f in $(find %{buildroot}%{geminstdir} -name \*.rb) ; do
  sed -i -e '/^#!/d' $f
  chmod 0644 $f
done

# cleanups
rm -rf %{buildroot}%{geminstdir}/tmp
rm -rf %{buildroot}%{geminstdir}/test
rm -rf %{buildroot}%{geminstdir}/Rakefile

%clean
rm -rf %{buildroot}

%check

%files
%defattr(-, root, root, -)
%{ruby_sitearch}/*.so
%{geminstdir}/lib
%{geminstdir}/ext
%{geminstdir}/extras
%doc %{geminstdir}/[A-Z]*
%doc %{gemdir}/doc
%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec

%changelog
* Fri May 11 2012 <moses@puppetlabs.com> - 0.8.6-1
- Initial packaging
